@tool
extends Node2D

@export var length:float = 1000:
	set(value):
		length = value;
		draw.emit();

func _draw() -> void:
	if not Engine.is_editor_hint():
		return;
	draw_line(Vector2(), Vector2(length,0), Color.RED, -1, false);
	draw_line(Vector2(), Vector2(-length,0), Color.RED, -1, false);
	draw_arc(Vector2(), 5, PI, 2 * PI, 15, Color.RED, -1, false);
	pass
